diff -up dropsite/droparea.py dropsite.fixed/droparea.py
--- dropsite/droparea.py	2010-09-10 11:44:43.641400431 +0200
+++ dropsite.fixed/droparea.py	2010-09-10 11:41:22.005311858 +0200
@@ -34,7 +34,10 @@ class DropArea(QtGui.QLabel):
     def dropEvent(self, event):
         mimeData = event.mimeData()
         if mimeData.hasImage():
-            self.setPixmap(mimeData.imageData())
+            # mimeData.imageData() is a QImage wrapped by in a QVariant.
+            # Thanks to sip's QVariant API Version 2, established in
+            # dropsite.py we just need to convert the QImage to a QPixmap.
+            self.setPixmap(QtGui.QPixmap(mimeData.imageData()))
         elif mimeData.hasHtml():
             self.setText(mimeData.html())
             self.setTextFormat(QtCore.Qt.RichText)
diff -up dropsite/dropsite.py dropsite.fixed/dropsite.py
--- dropsite/dropsite.py	2010-09-10 11:44:50.369627362 +0200
+++ dropsite.fixed/dropsite.py	2010-09-10 11:39:35.957322907 +0200
@@ -8,6 +8,13 @@
 ###########################################################################
 
 import sys
+
+# This is only needed for Python v2 but is harmless for Python v3
+# in order to access the QImage in DropArea.dropEvent() without 
+# any explicit conversions (aka .toPyObject()).
+import sip
+sip.setapi('QVariant', 2)
+
 from PyQt4 import QtCore, QtGui
 
 from dropsitewindow import DropSiteWindow
